import request from '@/utils/request';

// 地块信息列表
export function listDk(params) {
  return request({
    url: '/service/dk/list',
    method: 'get',
    params: params
  });
}

// 地块信息详情
export function getDk(id) {
  return request({
    url: '/service/dk/get/' + id,
    method: 'get'
  });
}

// 新增地块属性信息
export function addDk(data) {
  return request({
    url: '/service/dk/add',
    method: 'post',
    data: data
  })
}

// 修改地块属性信息
export function updateDk(data) {
  return request({
    url: '/service/dk/edit',
    method: 'post',
    data: data
  })
}

// 删除地块信息
export function deleteDk(id) {
  return request({
    url: '/service/dk/remove/' + id,
    method: 'get'
  });
}


// 生成地块编码
export function generateLandCode(params) {
  return request({
    url: '/service/dk/generateCode',
    method: 'get',
    params: params
  });
}
